/v1/api/healthStatuses (GET) - BlueCat Edge - Service Point v4.x.x

BlueCat Edge User Guide

ft:locale
en-US
Product name
BlueCat Edge
Version
Service Point v4.x.x

Returns information about the status of all GSLB health checks.

GET https://api-<BlueCat.edge.url>/v1/api/healthStatuses
Authorization: Bearer authorization token

Successful response

200 OK
Content-Type: application/JSON
[
    {
        "healthCheckId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "drsId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "siteId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "targetStatuses": [
            {
                "target": "10.1.1.1",
                "healthStatus": "unhealthy",
                "responseTime": 0,
                "reason": "Connection refused",
                "lastStatusCheckTimestamp": 946684800000,
                "lastStatusChangeTimestamp": 946684800000
            }
        ]
    }...
]
Note: The lastStatusCheckTimestamp and lastStatusChangeTimestamp fields are represented in milliseconds since the Unix Epoch.
Possible error codes:
  • BAD REQUEST - The health check ID is invalid
  • FORBIDDEN - GSLB is not enabled
  • INTERNAL SERVER ERROR - Unexpected error